#include<bits/stdc++.h>

using namespace std;

int main(){
    int m;
    cin>>m;
    vector<pair<int, int>> v(m);
    for(int i = 0;i<m;i++){
        cin>>v[i].first>>v[i].second;
    }
    for(int i = 0;i<m;i++){
        int64_t rez = 0;
        for(int j = 0;j<=i;j++){
            int64_t s = 0;
            for(int k = 0;k<=i;k++){
                s+=abs(v[k].first-v[j].first)*abs(v[k].second-v[j].second);
            }
            rez = max(rez, s);
        }
        cout<<rez<<endl;
    }

    return 0;
}